std::basic_string::~basic_string(3)

NAME
std::basic_string::~basic_string - std::basic_string::~basic_string

Synopsis
   ~basic_string(); (constexpr since C++20)
   Destructs the basic_string. The destructors of the elements are called and the used
   storage is deallocated.

Complexity
   Typically constant (formally linear).